Bug 865626 - RFE: mod_cluster usage documentation
RFE: mod_cluster usage documentation
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0.1
Assigned To: Mandar Joshi
Libor Fuka
: Documentation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 18:39 EDT by Misha H. Ali
Modified: 2015-08-31 22:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 07:58:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2012-10-11 18:39:45 EDT
This bug tracks the RFE raised in:

https://bugzilla.redhat.com/show_bug.cgi?id=864810

This is to create EWS specific documentation for mod_cluster instead of pointing users to EAP 6 configuration. This bug will be addresses after 2.0.
Comment 1 Misha H. Ali 2012-10-12 23:55:18 EDT
Radhim:

> Wouldn't it be better just to add (to subsecton Worker Node Components
> of Section 4.2,) a link to configuring EWS workers (Tomcats) with mod_cluster 
> the same way as it is for EAP6 mod_cluster subsystem?

MHA: Do you mean linking to something like this chapter from EAP, Radhim:

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6/html/Administration_and_Configuration_Guide/chap-HTTP_Clustering_and_Load_Balancing.html

Depending on whether we can locate some information that works and can be linked to, this bug will be added to the 2.0 release.
Comment 2 Radim Hatlapatka 2012-10-22 04:12:42 EDT
yes and no.

The link to EAP 6 could be this way updated.

But I am more interested in having link for setting inside EWS 2.0 => setting with tomcats

Thereby I would expect link to this chapter:
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Web_Server/2/html-single/HTTP_Connectors_Load_Balancing_Guide/index.html#chap-HTTP_Connector_Guide-JBoss_HTTP_Install
Comment 3 Mandar Joshi 2013-05-30 20:03:50 EDT
Modified topic: 
4.3.1. Proxy Server Components Installation and Default Configuration

Added a link to 6.2.2. Configure a Tomcat Worker Node.
Comment 5 Radim Hatlapatka 2013-06-03 10:39:58 EDT
Please make the text "Configure Basic Proxy Server" in Chapter 4.3.1 as a link to the appropriate chapter (Chapter 5. Configure Basic Proxy Server) for easier navigation.

Otherwise it seems ok.
Comment 7 Misha H. Ali 2013-06-04 07:42:20 EDT
I have manually injected the chapter link. This should link to the chapter itself now. This bug will be set to ON_QA when the material is ready to preview on the stage.
Comment 9 Radim Hatlapatka 2013-06-05 02:58:26 EDT
Verified, now it is OK.
Comment 10 Libor Fuka 2013-06-05 09:19:55 EDT
setting modified, devel updated, needs to be check again
Comment 12 Radim Hatlapatka 2013-06-06 04:13:34 EDT
It is ok now.

Note You need to log in before you can comment on or make changes to this bug.